Imports DomainClasses
Imports Repositories

Namespace WpfApplication
  Partial Public Class MainWindow
	  Inherits Window

	Private ReadOnly repo As New StupidSimpleRepository

	Public Sub New()
	  InitializeComponent()
	End Sub

	Private Sub Window_Loaded_1(ByVal sender As Object, ByVal e As RoutedEventArgs)
	  Dim screencastViewSource = (CType(FindResource("screencastViewSource"), CollectionViewSource))
	  Dim topicViewSource = (CType(FindResource("topicViewSource"), CollectionViewSource))
	  topicViewSource.Source = repo.GetTopicList
	End Sub

	Private Sub Save_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
	  repo.SaveNewScreencastWithTopicId(New Screencast With {.Title = titleTextBox.Text, .Description = descriptionTextBox.Text, .Topic = TryCast(topicListBox.SelectedItem, Topic)}, CInt(Fix(topicListBox.SelectedValue)))
	End Sub
  End Class
End Namespace
